Bug 1019635 - Horizon: SECRET_KEYSTORE should be moved to /var/lib/openstack-dashboard
Horizon: SECRET_KEYSTORE should be moved to /var/lib/openstack-dashboard
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: openstack-packstack (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alan Pevec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 03:47 EDT by Matthias Runge
Modified: 2016-06-14 04:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-14 04:30:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Runge 2013-10-16 03:47:06 EDT
Description of problem:

I'm applying the following patch on top of Horizon:

Date: Fri, 4 Oct 2013 09:46:36 +0200
Subject: [PATCH] move SECRET_KEYSTORE to '/var/lib/openstack-dashboard'

---
 openstack_dashboard/local/local_settings.py.example | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/openstack_dashboard/local/local_settings.py.example b/openstack_dashboard/local/local_settings.py.example
index d120dfc..a60ad0c 100644
--- a/openstack_dashboard/local/local_settings.py.example
+++ b/openstack_dashboard/local/local_settings.py.example
@@ -88,7 +88,7 @@ HORIZON_CONFIG = {
 # requests routed to the same dashboard instance or you set the same SECRET_KEY
 # for all of them.
 from horizon.utils import secret_key
-LOCAL_PATH = '/tmp'
+LOCAL_PATH = '/var/lib/openstack-dashboard'
 SECRET_KEY = secret_key.generate_or_read_from_file(os.path.join(LOCAL_PATH, '.secret_key_store'))
␣
 # We recommend you use memcached for development; otherwise after every reload

This will change the location of a tmporary dir from somewhere hidden below openstack-dashboard install dir to /var/lib/openstack-dashboard, where also access rights are restricted.
Comment 1 Jaroslav Reznik 2015-03-03 10:08:39 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 2 Fedora Admin XMLRPC Client 2016-02-17 10:06:17 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Matthias Runge 2016-06-14 04:30:23 EDT
this has been solved in a different way now.

Note You need to log in before you can comment on or make changes to this bug.